#[ ZACATEK SOUBORU ]#

#DEF <SCHEMA>    food600
#DEF <PRIMARYKEY> idriadok
#DEF <TABLENAME> archivobraty

#[ CREATE TABLE ZACATEK ]#
    c_stredisk integer NOT NULL DEFAULT 0,
    operace character(2) COLLATE pg_catalog."default" NOT NULL DEFAULT ''::bpchar,
    c_dokl integer NOT NULL DEFAULT 0,
    c_karty integer NOT NULL DEFAULT 0,
    mnozstvi numeric(20,10) NOT NULL DEFAULT (0),
    cena numeric(20,10) NOT NULL DEFAULT (0),
    cena_part numeric(20,10) NOT NULL DEFAULT (0),
    zustatek numeric(20,10) NOT NULL DEFAULT (0),
    cena_prum numeric(20,10) NOT NULL DEFAULT (0),
    dan numeric(5,3) NOT NULL DEFAULT 1,
    serial_no character(20) COLLATE pg_catalog."default" NOT NULL DEFAULT ''::bpchar,
    poradi integer NOT NULL DEFAULT 0,
    c_data smallint NOT NULL DEFAULT 1,
    idriadok SERIAL,
    spdan numeric(20,10) NOT NULL DEFAULT 0,
    spstupne numeric(20,10) NOT NULL DEFAULT 0,
    mesiac integer,
    rok integer,
    CONSTRAINT archivobraty_idriadok PRIMARY KEY (idriadok)
#[ CREATE TABLE KONEC ]#

#[ IF EXIST ZACATEK ]#
#[ PRIMARYKEY ]#

IF NOT EXISTS (SELECT indexname FROM pg_indexes WHERE schemaname='<SCHEMA>' and tablename='<TABLENAME>' and indexname='archivobraty_c_data') THEN
DROP INDEX IF EXISTS <SCHEMA>.archivobraty_c_data;
CREATE INDEX archivobraty_c_data
    ON <SCHEMA>.<TABLENAME> USING btree
    (c_data ASC NULLS LAST)
    TABLESPACE pg_default;
END IF;

IF NOT EXISTS (SELECT indexname FROM pg_indexes WHERE schemaname='<SCHEMA>' and tablename='<TABLENAME>' and indexname='archivobraty_c_stredisk') THEN
DROP INDEX IF EXISTS <SCHEMA>.archivobraty_c_stredisk;
CREATE INDEX archivobraty_c_stredisk
    ON <SCHEMA>.<TABLENAME> USING btree
    (c_stredisk ASC NULLS LAST)
    TABLESPACE pg_default;
END IF;

IF NOT EXISTS (SELECT indexname FROM pg_indexes WHERE schemaname='<SCHEMA>' and tablename='<TABLENAME>' and indexname='archivobraty_mesiac') THEN
DROP INDEX IF EXISTS <SCHEMA>.archivobraty_mesiac;
CREATE INDEX archivobraty_mesiac
    ON <SCHEMA>.<TABLENAME> USING btree
    (mesiac ASC NULLS LAST)
    TABLESPACE pg_default;
END IF;

IF NOT EXISTS (SELECT indexname FROM pg_indexes WHERE schemaname='<SCHEMA>' and tablename='<TABLENAME>' and indexname='archivobraty_rok') THEN
DROP INDEX IF EXISTS <SCHEMA>.archivobraty_rok;
CREATE INDEX archivobraty_rok
    ON <SCHEMA>.<TABLENAME> USING btree
    (rok ASC NULLS LAST)
    TABLESPACE pg_default;
END IF;

END IF;

#[ KONEC SOUBORU ]#